#ifndef AGREEMENTWINDOW_H
#define AGREEMENTWINDOW_H

#include <QWidget>
#include <QTextBrowser>
#include <QPushButton>
#include <QLabel>
#include <QFile>

class AgreementWindow : public QWidget
{
    Q_OBJECT
public:
    explicit AgreementWindow(QWidget *parent = nullptr);
    bool getShowLoginPrompt();
    void initUI();

signals:
    void switchToGreeter();

protected:
    void resizeEvent(QResizeEvent *event);

protected Q_SLOTS:
    void switchPage();

private:
    void init();
    bool loadText();

    QTextBrowser *browser = nullptr;
    QLabel  *titleLbl = nullptr;
    QPushButton  *ensureBtn = nullptr;

    QFile *file = nullptr;

    bool  showLoginPrompt = false;
    bool  hideTitle = true;

    QString promptTitle = "";
    QString promptText = "";
    QString promptTextFilePath = "";

    QWidget *centerWidget = nullptr;

};

#endif // AGREEMENTWINDOW_H
