/*
 * Copyright (C) 2022 Tianjin KYLIN Information Technology Co., Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses/>.
 *
**/
#ifndef SUREWINDOW_H
#define SUREWINDOW_H

#include "lockchecker.h"
#include <QWidget>

namespace Ui {
class SureWindow;
}

class Configuration;

class SureWindow : public QWidget
{
    Q_OBJECT

public:
    explicit SureWindow(QWidget *parent = nullptr);
    ~SureWindow();
    void setTips(const QString tips);
    void setWarning(QVector<InhibitInfo::InhibitorInfo> &list, int type);

private:
    Ui::SureWindow *ui;
    void on_cancelBtn_Clicked();

Q_SIGNALS:
    void cantelButtonclicked();
    void confirmButtonclicked();

private:
    Configuration *configuration;
    double curFontSize = 0;
    double m_ptToPx = 1.0;
    QFont sysFont;
};

#endif // SUREWINDOW_H
